### Hierarchy

- Modal

### Implements

- AfterViewInit
- OnChanges

## Index

### Inputs

- ariaLabel
- hasScrollingContent
- open
- size
- theme
- trigger
- modalLabel

### Outputs

- close
- overlaySelected

### Constructors

- constructor

### Properties

- ariaLabel
- close
- hasScrollingContent
- modal
- modalService
- open
- overlaySelected
- selectorPrimaryFocus
- size
- theme
- trigger

### Accessors

- modalLabel
- shouldShowScrollbar

### Methods

- focusInitialElement
- handleKeyboardEvent
- ngAfterViewInit
- ngOnChanges

## Constructors

### constructor

- new Modal(modalService: ModalService): Modal

- - Defined in src/modal/modal.component.ts:164

  #### Parameters

  - ##### modalService: ModalService

  #### Returns Modal

## Properties

### ariaLabel

@Input()
ariaLabel: string = "default"

- Defined in src/modal/modal.component.ts:127

### close

@Output()
close: EventEmitter<Object> = new EventEmitter()

- Defined in src/modal/modal.component.ts:154

### hasScrollingContent

@Input()
hasScrollingContent: boolean = null

- Defined in src/modal/modal.component.ts:145

### modal

@ViewChild({"selector":"modal","opts":"{ static: true }"})
modal: ElementRef

- Defined in src/modal/modal.component.ts:159

### modalService

modalService: ModalService

- Defined in src/modal/modal.component.ts:169

### open

@Input()
open: boolean = false

- Defined in src/modal/modal.component.ts:132

### overlaySelected

@Output()
overlaySelected: EventEmitter<Object> = new EventEmitter()

- Defined in src/modal/modal.component.ts:150

### selectorPrimaryFocus

selectorPrimaryFocus: string = "[modal-primary-focus]"

- Defined in src/modal/modal.component.ts:164

### size

@Input()
size: "xs" | "sm" | "lg"

- Defined in src/modal/modal.component.ts:108

### theme

@Input()
theme: "default" | "danger" = "default"

- Defined in src/modal/modal.component.ts:112

### trigger

@Input()
trigger: HTMLElement

- Defined in src/modal/modal.component.ts:137

## Accessors

### modalLabel

@Input()
modalLabel:

- Defined in src/modal/modal.component.ts:119
- Defined in src/modal/modal.component.ts:123

### shouldShowScrollbar

shouldShowScrollbar:

- Defined in src/modal/modal.component.ts:217

## Methods

### Protected focusInitialElement

- focusInitialElement(): void

- - Defined in src/modal/modal.component.ts:229

  #### Returns void

### handleKeyboardEvent

@HostListener({"eventName":"keydown","args":"[$event]"})

- handleKeyboardEvent(event: KeyboardEvent): void

- - Defined in src/modal/modal.component.ts:194

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/modal/modal.component.ts:186

  #### Returns void

### ngOnChanges

- ngOnChanges(__namedParameters: object): void

- - Defined in src/modal/modal.component.ts:171

  #### Parameters

  - ##### __namedParameters: object

    - ##### open: SimpleChange

  #### Returns void

Generated using TypeDoc